Skip to navigation

Retrieve a knowledge store item

This method retrieves the details of a specific knowledge store item.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.
item_idstringRequired
The unique identifier of the knowledge store item.

Response

The knowledge store item has been successfully retrieved.
asset_typeenum
The type of item.
Allowed values:
_idstringOptional
The unique identifier of the knowledge store item.
asset_idstringOptional
The unique identifier of the source asset.
statusenumOptionalRead-only

The processing status of the item. For the meaning of each value, see the Item statuses section on The knowledge store item object page.

Allowed values:
system_metadataobjectOptionalRead-only

System-generated media metadata for the source asset. Its asset_type field always matches the item's top-level asset_type field.

metadatamap from strings to strings or integers or doubles or booleans or lists of stringsOptional

Custom metadata for the item. Keys are strings; each value is a string, a number, a boolean, or an array of strings.

created_atstringOptionalformat: "date-time"
The date and time when the item was created, in the RFC 3339 format.
updated_atstringOptionalformat: "date-time"
The date and time when the item was last updated, in the RFC 3339 format.

Errors

400
Bad Request Error